async function getAlerts() { const url = `/api/social/v4/alerts`; const response = await fetch(url); return await response.json();}curl --request GET \
--url https://{instance}.domo.com/api/social/v4/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.domo.com/api/social/v4/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
"HTTP/1.1 200 OKContent-Type: application/json{ [ { \"id\": 358, \"name\": \"Any row has changes for column(s): 'embedURL, metric, src, filesAPINum, docId, userName, title'\", \"type\": \"ANY_ROW\", \"resourceType\": \"DATASET\", \"resourceId\": \"58b3775b-ab03-4f54-9052-a3c5f7cbf426\", \"createdAt\": \"2024-12-12 23:37:32\", \"createdBy\": 1341393147, \"modifiedAt\": \"2024-12-13 18:55:17\", \"modifiedBy\": 1341393147, \"category\": \"DATA\" }, ... ]}"Get alerts
async function getAlerts() { const url = `/api/social/v4/alerts`; const response = await fetch(url); return await response.json();}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Whether to fetch all alerts at once
A specific card id to fetch alerts for
Whether to fetch the alerts subscribed to by the current user
A specific dataset id to fetch alerts for
Whether to fetch only disabled alerts
Which alert fields to include in the response (can be set to 'all' to fetch all fields)
The query limit
The query offset (for pagination)
A specific user id to fetch owned alerts for
A specific page id to fetch alerts for
The field to sort by
A specific user id to fetch subscribed alerts for
A list of subscription types to filter the alerts by
Whether to fetch only alerts that are suggested for you
Whether to fetch only alerts that have been triggered
Response
Returns the alerts based on the included query params.
The response is of type object.